Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037511
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Retail Modules] Web POSmajoralways2017-12-19 13:002018-02-05 11:26
ReportermaiteView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in VersionRR18Q2
StatusclosedFix in branchFixed in SCM revisione626e3fbc7bb
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037511: To be able to know terminal status

DescriptionTo be able to know terminal status
Steps To ReproduceFrom the backend, be able to check useful terminal's status information such as:

- Last incremental refresh execution
- Last full refresh execution
...
...
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0101633)
hgbot (developer)
2018-01-09 10:10

Repository: erp/pmods/org.openbravo.mobile.core
Changeset: 668c3ed0a0efec4c30979916dfa2339d0894b595
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jan 08 16:41:00 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/668c3ed0a0efec4c30979916dfa2339d0894b595 [^]

Related to issue 37511: To be able to know terminal status

* Implemented two new values to localstorage:
  - LastCacheGeneration: timestamp with the last time the cache has been
    generated.
  - LastJSGeneration_: Timestamp with the last time the js file has been
    generated.

---
M web/org.openbravo.mobile.core/source/model/ob-terminal-model.js
M web/org.openbravo.mobile.core/source/utils/ob-utilities.js
---
(0101634)
hgbot (developer)
2018-01-09 10:11

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: e626e3fbc7bbb052108bbaeb0baa54b0af06583e
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Mon Jan 08 16:47:28 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e626e3fbc7bbb052108bbaeb0baa54b0af06583e [^]

Fixed issue 37511: To be able to know terminal status

* Generated a new field group
  - Terminal Status
* Generated four new fields in POS Terminal window header
  - Last Full Masterdata Load: date time with the last successful full refresh.
  - Last Incremental Masterdata Load: date time with the last successful
    incremental refresh
  - Last Cache Generation: date time with the last time the cache has been
    generated
  - Last JS Generation: date time with the last time the js file has been
    generated.
* Added a new mobile service called LastTerminalStatusTimestamps.
* Implemented the logic to set the new fields in POS Terminal Type window.

---
M src-db/database/model/tables/OBPOS_APPLICATIONS.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
M src-db/database/sourcedata/AD_FIELD.xml
M src-db/database/sourcedata/AD_FIELDGROUP.xml
M src-db/database/sourcedata/OBMOBC_SERVICES.xml
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
A src/org/openbravo/retail/posterminal/process/LastTerminalStatusTimestamps.java
---
(0102179)
hgbot (developer)
2018-02-05 11:09

Repository: erp/pmods/org.openbravo.retail.giftcards
Changeset: 8ff4360791bd6d1597bb62b1248f7459c0495dd6
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Mon Feb 05 11:09:38 2018 +0100
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.giftcards/rev/8ff4360791bd6d1597bb62b1248f7459c0495dd6 [^]

Related to issue 37511. Move 'Gift card certificate sequence' field so that it doesn't fall into terminal status fieldgroup

---
M src-db/database/sourcedata/AD_FIELD.xml
---
(0102182)
marvintm (developer)
2018-02-05 11:25

http://wiki.openbravo.com/wiki/Retail:Configuration_Guide#Terminal_status [^]

- Issue History
Date Modified Username Field Change
2017-12-19 13:00 maite New Issue
2017-12-19 13:00 maite Assigned To => Retail
2017-12-19 13:00 maite Triggers an Emergency Pack => No
2017-12-19 13:00 maite Issue Monitored: networkb
2018-01-08 12:34 jorge-garcia Assigned To Retail => jorge-garcia
2018-01-08 16:50 jorge-garcia Status new => scheduled
2018-01-09 10:10 hgbot Checkin
2018-01-09 10:10 hgbot Note Added: 0101633
2018-01-09 10:11 hgbot Checkin
2018-01-09 10:11 hgbot Note Added: 0101634
2018-01-09 10:11 hgbot Status scheduled => resolved
2018-01-09 10:11 hgbot Resolution open => fixed
2018-01-09 10:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/e626e3fbc7bbb052108bbaeb0baa54b0af06583e [^]
2018-02-05 11:09 hgbot Checkin
2018-02-05 11:09 hgbot Note Added: 0102179
2018-02-05 11:25 marvintm Note Added: 0102182
2018-02-05 11:26 marvintm Review Assigned To => marvintm
2018-02-05 11:26 marvintm Status resolved => closed
2018-02-05 11:26 marvintm Fixed in Version => RR18Q2


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker